/*
 * =====================================================================================
 *
 *       Filename:  compare_raw_image.h
 *
 *    Description:  compare raw image header file
 *
 *        Version:  1.0
 *
 *         Author:  Alexander Aring, a.aring@phytec.de
 *        Company:  PHYTEC
 *
 * =====================================================================================
 */

#ifndef __COMPARE_RAW_IMAGE_H__
#define __COMPARE_RAW_IMAGE_H__

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <limits.h>
#include <stdlib.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <linux/videodev2.h>

#include "converter.h"

#define DEFAULT_IMAGE_FILE		"image.raw"
#define DEFAULT_IMAGE_REF_FILE  "image_ref.raw"
#define COMPARE_RAW_IMAGE_USAGE "[-n \"Dateiname.raw\"] [-m \"Dateiname.raw\"] [-f Farbformat]\n"

#endif				/* __COMPARE_RAW_IMAGE_H__ */
