/*
 * =====================================================================================
 *
 *       Filename:  histogramsum_raw_image.h
 *
 *    Description:  histogramsum_raw_image header file.
 *
 *        Version:  1.0
 *
 *         Author:  Alexander Aring, a.aring@phytec.de
 *        Company:  PHYTEC
 *
 * =====================================================================================
 */

#ifndef __HISTROGRAMSUM_RAW_IMAGE_H__
#define __HISTROGRAMSUM_RAW_IMAGE_H__

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <limits.h>
#include <stdlib.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <linux/videodev2.h>

#define HISTOGRAMSUM_USAGE "[-n \"Dateiname.raw\"] [-w Wertebereich_1] [-x Wertebereich_2] [-f Farbformat]\n"

#define DEFAULT_IMAGE_PATH "image.raw"

struct interval {
	__u8 start;
	__u8 end;
};

#endif
